Пропустить и перейти к основному содержимому

Этот браузер больше не поддерживается.

Выполните обновление до Microsoft Edge, чтобы воспользоваться новейшими функциями, обновлениями для системы безопасности и технической поддержкой.

Скачать Microsoft Edge Дополнительные сведения об Internet Explorer и Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Skills

Create a new version of a skill Create a skill version from uploaded files

POST /skills/{name}/versions

Creates a new version of a skill. If the skill does not exist, it will be created. Creates a new version of a skill from uploaded files via multipart form data.

Параметры пути

name string обязательно

The name of the skill. If the skill does not exist, it will be created.

Параметры заголовка

Foundry-Features enum обязательно

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Skills=V1Preview

Параметры запроса

api-version string обязательно

The API version to use for this operation.

Текст запроса

The multipart request content.

Content-Type: application/json
inline_content SkillInlineContent

Inline content for defining a simple skill without uploading files. Follows the agentskills.io SKILL.md specification.

description string обязательно

A human-readable description of what the skill does and when to use it.

instructions string обязательно

The skill instructions in markdown format. This is the body content of the SKILL.md file.

license string

License name or reference to a bundled license file.

compatibility string

Environment requirements or compatibility notes for the skill.

metadata object

Arbitrary key-value metadata for additional properties.

[key: string] string
allowed_tools string[]

List of pre-approved tools the skill may use. Experimental.

default boolean

Whether to set this version as the default.

Content-Type: multipart/form-data
files any[] обязательно

Skill files to upload. Upload a single zip file or multiple individual files with relative paths.

default boolean

Whether to set this version as the default. Defaults to false.

Ответы

The request has succeeded.

Текст

Content-Type: application/json
id string обязательно

The unique identifier of the skill version.

skill_id string обязательно

The identifier of the parent skill.

name string обязательно

A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.

version string обязательно

The version identifier. Skill versions are immutable.

description string обязательно

A human-readable description of the skill version.

created_at integer обязательно

Client error

Текст

Content-Type: application/json
error OpenAI.Error обязательно
code string | null обязательно
message string обязательно
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Любое из следующих:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string обязательно

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Текст

Content-Type: application/json
error OpenAI.Error обязательно
code string | null обязательно
message string обязательно
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Любое из следующих:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string обязательно

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Запрос

POST /skills/{name}/versions HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ru-ru
Ваши варианты выбора параметров конфиденциальности
  • Заявление об отказе ИИ
  • Предыдущие версии
  • Блог
  • Участие в доработке
  • Конфиденциальность
  • Конфиденциальность медицинских данных потребителей
  • Условия использования
  • Товарные знаки
  • © Microsoft 2026